This documentation is for WSO2 API Manager 1.10.0 View documentation for the latest release.
Installing the API Manager Tooling Plug-In - API Manager 1.10.0 - WSO2 Documentation
||
Skip to end of metadata
Go to start of metadata

The API Manager tooling plug-in gives the capabilities of a complete Eclipse-based development environment for the API Manager. You can develop services, features and artifacts and manage their links and dependencies through a simplified graphical editor.

There are 3 ways to install the tooling plug-in. The following two methods require you to install Eclipse Luna separately in your system, if you do not have it already:

The third method uses a complete plug-in installation with pre-packaged Eclipse, so that you do not have to install Eclipse separately:

Install the plug-in on Eclipse Luna using the P2 URL

  1. Make sure you have Eclipse IDE for Java EE Developers (Luna SR2) installed.
  2. Open Eclipse and click Help > Install New Software.
  3. On the dialog box that appears, click Add.
  4. Give APIM Tool as the name and http://product-dist.wso2.com/p2/developer-studio-kernel/4.0.0/apim-tools/releases/ as the location and click OK.
  5. Select all the check boxes and click Next.
  6. Read and accept the license agreements and click Finish.

  7. If a security warning appears saying that the authenticity or validity of the software cannot be established, click OK.

  8. Restart Eclipse to complete the installation.

Install the plug-in on Eclipse Luna using the P2.zip file

  1. Make sure you have Eclipse IDE for Java EE Developers (Luna SR2) installed.
  2. Download the P2 .zip file from http://product-dist.wso2.com/products/developer-studio-for-apim/4.0.0/wso2-developer-studio-for-apim_4.0.0.zip.
  3. Open Eclipse and click Help > Install New Software.
  4. On the dialog box that appears, click Add.
  5. Give APIM Tool as the name and click Archive.
  6. Navigate to the downloaded .zip file and click OK.
  7. Select all the check boxes and click Next.
  8. Read and accept the license agreements and click Finish.

  9. If a security warning appears saying that the authenticity or validity of the software cannot be established, click OK.

  10. Restart Eclipse to complete the installation.

Install the plug-in with pre-packaged Eclipse

Download the distribution according to your operating system from http://product-dist.wso2.com/products/developer-studio-for-apim/4.0.0/wso2-developer-studio-for-apim_4.0.0.zip.

  • No labels